Reply to topic

The right way to update Neon from Konsole

raddison
Registered Member
Posts
513
Karma
0
Feel knowledgeable? Good. Come forth and teach a noob (me). >:(

To refresh sources
Code: Select all
sudo apt update



To update system
Code: Select all
sudo apt full-upgrade





sudo apt upgrade
- updates system via installing and updating packages
- new packages will be installed if required to satisfy dependencies, but existing packages will never be removed
- packages that require the removal of other packages in order to update will be ignored

sudo apt full-upgrade
- updates system via installing, updating and removing* packages


*if those packages have become unnecessary and/or prevent other packages from updating

Last edited by raddison on Mon Jun 19, 2017 2:15 pm, edited 1 time in total.


Proud to be powered by Plasma
NoNameNoBlame
Karma
0
Theoretically, You've got the perfect solution.

But: 'KDE neon's dependencies are not 100% trustworthy.
If You do a full-upgrade, You might loose hundreds of packages, and end
with an unusable desktop. This wouldn' t be Your fault.

Therefore:
After 'apt update', first do:
'apt upgrade', and look for problem-messages.
Only if there are problems, You should first
think about them and only afterwards try a 'apt full-upgrade'.

An example may help:

If You install:
apt install packagekit-backend-aptcc

this will delete 'plasma-discover' ("Software Center") from
Your computer, but 'apt' won't tell You this.
It should do. But it doesn't.

That's what I meant (among other things) by saying:
KDE neon's package dependencies are not 100% trustworthy.

Summary:
First 'upgrade'.
'full-upgrade' only after thinking, or in case of emergency.

This advice is KDE neon specific.
Under pure Debian, I wouldn't give this advice, for example.
raddison
Registered Member
Posts
513
Karma
0
@NoNameNoBlame Thank you. You're a good advisor. Now I need a bit of time to tinker then I'll get back to you.


Proud to be powered by Plasma
User avatar claydoh
Registered Member
Posts
465
Karma
5
OS
Actually full-upgrade is the correct way to keep an Ubuntu based OS up to date

Here is why:
say Neon (or Ubuntu or Kubuntu etc) has an update to the next version of Plasma. In this update a needed package is upgraded from foo-package1 to foo-package2. If you only run apt upgrade, it will NOT uninstall foo-package1, which will prevent foo-package2 from being installed, and preventing many other packages from being upgraded, and this could lead to a non-working desktop.

Running a simple apt upgrade while not always a terrible thing is usually an unnecessary extra step.

This full-upgrade (formerly called dist-upgrade) has been the correct and preferred method of updating since Ubuntu was created.
The gui package managers are doing exactly this in the background .


claydoh, proud to be a member of KDE forums since 2008-Oct, and KDE user since 2001
raddison
Registered Member
Posts
513
Karma
0
@claydoh Thank you. Now I'm even more confused than before. I need more time to tinker.

I wonder which is the "official" method that is recommended by Neon themselves. Provided there's such a method at all.


Proud to be powered by Plasma
User avatar claydoh
Registered Member
Posts
465
Karma
5
OS
raddison wrote:@claydoh Thank you. Now I'm even more confused than before. I need more time to tinker.

I wonder which is the "official" method that is recommended by Neon themselves. Provided there's such a method at all.

Because we are using an Ubuntu base here, we follow what they do in this regard, as Neon does not touch or modify anything at this level. This is the case for most if not all Ubuntu based distros. Also, as mentioned, Discover is using the full-upgrade method under the hood when it is doing updates.


claydoh, proud to be a member of KDE forums since 2008-Oct, and KDE user since 2001
raddison
Registered Member
Posts
513
Karma
0
claydoh wrote:
Discover is using the full-upgrade method under the hood when it is doing updates.


That is a relevant statement.


Proud to be powered by Plasma
raddison
Registered Member
Posts
513
Karma
0
@claydoh I think sudo apt full-upgrade is the correct answer. Then again @NoNameNoBlame you also have a valid point.


Proud to be powered by Plasma
raddison
Registered Member
Posts
513
Karma
0
Nice! Thank you!

https://phabricator.kde.org/T5930

There you have it. No more discussions on how to update anymore, I guess. ;)

How do I Update to the Latest Software?

KDE neon does continuous deployment of the latest KDE software which means there are nearly always new versions of our software to update to. We recommend using Plasma Discover's updater which appears in your panel

If you prefer to use the command line you can use the pkcon command:

pkcon refresh
pkcon update

This will install all new packages and uses the same PackageKit code as Plasma Discover. Some uses of apt do not install new packages which makes it less suitable for KDE neon.


Proud to be powered by Plasma
raddison
Registered Member
Posts
513
Karma
0
In my opinion, whether implicitly or explicitly or not at all endorsed by Neon themselves, the following 3 methods are all correct for updating the system from Konsole:

Method 1
Code: Select all
apt-get update

Code: Select all
apt-get dist-upgrade


Method 2
Code: Select all
apt update

Code: Select all
apt full-upgrade


Method 3
Code: Select all
pkcon refresh

Code: Select all
pkcon update


Resources in a nutshell:
http://manpages.ubuntu.com/manpages/xen ... get.8.html
http://manpages.ubuntu.com/manpages/xen ... apt.8.html
http://manpages.ubuntu.com/manpages/xen ... con.1.html
https://phabricator.kde.org/T5930
https://neon.kde.org/faq#command-to-update


Note: Unlike 1 and 2, 3 will work with or without sudo.
Disclaimer: You should use whatever Neon officially recommended to use.
Done. o)

Last edited by raddison on Mon Jun 19, 2017 6:43 pm, edited 2 times in total.


Proud to be powered by Plasma
raddison
Registered Member
Posts
513
Karma
0
Personally, I use a hybrid method:

- 'sudo apt update' to bring up the updater icon in the panel (aka system tray for ex-Windows users)
- Once the icon is up, I close Konsole and launch the GUI updater (aka Discover) from aforementioned icon and proceed to the update proper
- Once the system is reported to be up-to-date, I close Discover and reboot.

It works for me.

The subject has been exhausted. Sorry for some of the redundancies. I'll try to think first. :)
If anything doesn't go as smoothly as expected (see NoNameNoBlame's statement), that's not my fault, of course. But it's the best possible free software indeed (Chris Fisher).


Proud to be powered by Plasma
raddison
Registered Member
Posts
513
Karma
0
I'm not quite done. Or am I?

Reinstalled the OS (neon-useredition-20170615-1018) from scratch then I tried to update from Konsole using:
Code: Select all
pkcon refresh

Code: Select all
pkcon update


Firstly, I wanna make a correction: pkcon update asked for my password. After the first update, seems it never asks for it again.

This is the full Konsole output of the first update. If beauty is in the eyes of the beholder, then it sure doesn't look pretty to me
Code: Select all
me@machine:~$ pkcon refresh
Refreshing cache              [=========================]         
Loading cache                 [=========================]         
Refreshing software list      [=========================]         
Downloading packages          [=========================]         
Running                       [=========================]         
Finished                      [=========================]         
me@machine:~$ pkcon update
Getting updates               [=========================]         
Finished                      [=========================]         
Loading cache                 [=========================]         
Testing changes               [=========================]         
Finished                      [                         ] (0%) 
The following packages have to be installed:
 libcapnp-0.5.3-0.5.3-2ubuntu1.amd64    Cap'n Proto C++ library
 libmircommon7-0.26.3+16.04.20170605-0ubuntu1.amd64     Display server for Ubuntu - shared library
 libmircore1-0.26.3+16.04.20170605-0ubuntu1.amd64       Display server for Ubuntu - shared library
 libzip5-1.2.0-0neon+16.04+xenial+build10.amd64 library for reading, creating, and modifying zip archives (runtime)
 linux-headers-4.8.0-56-4.8.0-56.61~16.04.1.all Header files related to Linux kernel version 4.8.0
 linux-headers-4.8.0-56-generic-4.8.0-56.61~16.04.1.amd64       Linux kernel headers for version 4.8.0 on 64 bit x86 SMP
 linux-image-4.8.0-56-generic-4.8.0-56.61~16.04.1.amd64 Linux kernel image for version 4.8.0 on 64 bit x86 SMP
 linux-image-extra-4.8.0-56-generic-4.8.0-56.61~16.04.1.amd64   Linux kernel extra modules for version 4.8.0 on 64 bit x86 SMP
The following packages have to be updated:
 ark-4:17.04.2-0neon+16.04+xenial+build31.amd64 archive utility
 breeze-4:5.10.2-0neon+16.04+xenial+build45.amd64       Default Plasma theme (meta-package).
 breeze-cursor-theme-4:5.10.2-0neon+16.04+xenial+build45.all    Default Plasma cursor theme.
 grub-common-2.02~beta2-36ubuntu3.11.amd64      GRand Unified Bootloader (common files)
 grub-pc-2.02~beta2-36ubuntu3.11.amd64  GRand Unified Bootloader, version 2 (PC/BIOS version)
 grub-pc-bin-2.02~beta2-36ubuntu3.11.amd64      GRand Unified Bootloader, version 2 (PC/BIOS binaries)
 grub2-common-2.02~beta2-36ubuntu3.11.amd64     GRand Unified Bootloader (common files for version 2)
 kde-spectacle-17.04.2-0neon+16.04+xenial+build39.amd64 Screenshot capture utility, replaces KSnapshot                                                                                                                                                                         
 kde-style-breeze-4:5.10.2-0neon+16.04+xenial+build45.amd64     Widget style for Qt and KDE Software                                                                                                                                                                           
 kde-style-breeze-qt4-4:5.10.2-0neon+16.04+xenial+build45.amd64 Widget style for Qt 4 and KDE Software                                                                                                                                                                         
 kwayland-data-4:5.35.0-0neon+16.04+xenial+build29.all  Qt library wrapper for Wayland libraries - data files                                                                                                                                                                 
 kwin-4:5.10.2-0neon+16.04+xenial+build56.all   Transitional dummy for kwin-x11                                                                                                                                                                                               
 kwin-common-4:5.10.2-0neon+16.04+xenial+build56.amd64  KDE window manager, common files                                                                                                                                                                                       
 kwin-data-4:5.10.2-0neon+16.04+xenial+build56.all      KDE window manager data files                                                                                                                                                                                         
 kwin-style-breeze-4:5.10.2-0neon+16.04+xenial+build45.amd64    KWin Breeze Style                                                                                                                                                                                             
 kwin-x11-4:5.10.2-0neon+16.04+xenial+build56.amd64     KDE window manager, X11 version                                                                                                                                                                                       
 libc-bin-2.23-0ubuntu9.amd64   GNU C Library: Binaries                                                                                                                                                                                                                       
 libc6-2.23-0ubuntu9.amd64      GNU C Library: Shared libraries                                                                                                                                                                                                               
 libc6-dbg-2.23-0ubuntu9.amd64  GNU C Library: detached debugging symbols                                                                                                                                                                                                     
 libdlrestrictions1-0.15.20~ubuntu4+p16.04+git20170620.0751.amd64       library that implements library compatibility checks for dlopen()                                                                                                                                     
 libkf5plasma5-5.35.0-0neon+16.04+xenial+build39.amd64  Plasma Runtime components                                                                                                                                                                                             
 libkf5plasmaquick5-5.35.0-0neon+16.04+xenial+build39.amd64     Plasma Runtime components                                                                                                                                                                                     
 libkf5waylandclient5-4:5.35.0-0neon+16.04+xenial+build29.amd64 Qt library wrapper for Wayland libraries                                                                                                                                                                       
 libkf5waylandserver5-4:5.35.0-0neon+16.04+xenial+build29.amd64 Qt library wrapper for Wayland libraries                                                                                                                                                                       
 libkwin4-effect-builtins1-4:5.10.2-0neon+16.04+xenial+build56.amd64    KDE window manager effect builtins library                                                                                                                                                             
 libkwineffects11-4:5.10.2-0neon+16.04+xenial+build56.amd64     KDE window manager effects library                                                                                                                                                                             
 libkwinglutils11-4:5.10.2-0neon+16.04+xenial+build56.amd64     KDE window manager gl utils library                                                                                                                                                                           
 libkwinxrenderutils11-4:5.10.2-0neon+16.04+xenial+build56.amd64        KDE window manager render utils library                                                                                                                                                               
 libmirclient9-0.26.3+16.04.20170605-0ubuntu1.amd64     Display server for Ubuntu - client library                                                                                                                                                                             
 libmirprotobuf3-0.26.3+16.04.20170605-0ubuntu1.amd64   Display server for Ubuntu - RPC definitions                                                                                                                                                                           
 libqgsttools-p1-5.9.0-0neon+16.04+xenial+build5.amd64  GStreamer tools for  Qt 5 Multimedia module                                                                                                                                                                           
 libqt5concurrent5-5.9.0-0neon+16.04+xenial+build5.amd64        Qt 5 concurrent module                                                                                                                                                                                         
 libqt5core5a-5.9.0-0neon+16.04+xenial+build5.amd64     Qt 5 core module                                                                                                                                                                                                       
 libqt5dbus5-5.9.0-0neon+16.04+xenial+build5.amd64      Qt 5 D-Bus module                                                                                                                                                                                                     
 libqt5designer5-5.9.0-0neon+16.04+xenial+build6.amd64  Qt 5 designer module                                                                                                                                                                                                   
 libqt5designercomponents5-5.9.0-0neon+16.04+xenial+build6.amd64        Qt 5 Designer components module                                                                                                                                                                       
 libqt5gui5-5.9.0-0neon+16.04+xenial+build5.amd64       Qt 5 GUI module                                                                                                                                                                                                       
 libqt5help5-5.9.0-0neon+16.04+xenial+build6.amd64      Qt 5 help module                                                                                                                                                                                                       
 libqt5multimedia5-5.9.0-0neon[=========================]          5 Multimedia module                                                                                                                                                                                         
Updating packages             [=========================]               Qt 5 Multimedia module plugins                                                                                                                                                                         
Waiting for authentication    [=========================]          5 Multimedia Quick module                                                                                                                                                                                   
Loading cache                 [=========================]          5 Multimedia Widgets module                                                                                                                                                                                 
Downloading packages          [=========================]         rk module                                                                                                                                                                                                   
Running                       [=========================]         L module                                                                                                                                                                                                     
Installing packages           [=========================]          5 print support module                                                                                                                                                                                     
Committing changes            [=========================]         odule
Installing packages           [=========================]          library
Committing changes            [=========================]          5 Quick Controls 2 library
Installing packages           [=========================]          5 Quick Templates 2 library
Committing changes            [=========================]          5 Quick Widgets library
Installing packages           [=========================]         t module
Committing changes            [=========================]         odule
Installing packages           [=========================]          5 SQLite 3 database driver
Committing changes            [=========================]         odule
Finished                      [=========================]         module
me@machine:~$ CRITICAL **: Source ID 1967 was not found when attempting to remove it
 libqt5waylandcompositor5-5.9.0-1+16.04+xenial+build2.amd64     QtWayland compositor library
 libqt5webkit5-5.9.0+dfsg-1+16.04+xenial+build2.amd64   Web content engine library for Qt
 libqt5widgets5-5.9.0-0neon+16.04+xenial+build5.amd64   Qt 5 widgets module
 libqt5x11extras5-5.9.0-0neon+16.04+xenial+build2.amd64 Qt 5 X11 extras
 libqt5xml5-5.9.0-0neon+16.04+xenial+build5.amd64       Qt 5 XML module
 libqt5xmlpatterns5-5.9.0-0neon+16.04+xenial+build2.amd64       Qt 5 XML patterns module
 libzip4-1:1.0.1-0+16.04+xenial+build5.amd64    library for reading, creating, and modifying zip archives (runtime)
 linux-generic-hwe-16.04-4.8.0.56.27.amd64      Complete Generic Linux kernel and headers
 linux-headers-generic-hwe-16.04-4.8.0.56.27.amd64      Generic Linux kernel headers
 linux-image-generic-hwe-16.04-4.8.0.56.27.amd64        Generic Linux kernel image
 locales-2.23-0ubuntu9.all      GNU C Library: National Language (locale) data [support]
 multiarch-support-2.23-0ubuntu9.amd64  Transitional package to ensure multiarch compatibility
 plasma-framework-5.35.0-0neon+16.04+xenial+build39.amd64       Plasma Runtime components
 plasma-integration-5.10.2-0neon+16.04+xenial+build49.amd64     Qt Platform Theme integration plugins for KDE Plasma
 plasma-look-and-feel-org-kde-breezedark-desktop-4:5.10.2-0neon+16.04+xenial+build45.all        Dark Breeze look-and-feel for Plasma
 qdbus-qt5-5.9.0-0neon+16.04+xenial+build6.amd64        Qt 5 D-Bus tool
 qml-module-qt-labs-folderlistmodel-5.9.0-0neon+16.04+xenial+build8.amd64       Qt 5 folderlistmodel QML module
 qml-module-qt-labs-settings-5.9.0-0neon+16.04+xenial+build8.amd64      Qt 5 settings QML module
 qml-module-qtgraphicaleffects-5.9.0-0neon+16.04+xenial+build6.amd64    Qt 5 Graphical Effects module
 qml-module-qtmultimedia-5.9.0-0neon+16.04+xenial+build5.amd64  Qt 5 Multimedia QML module
 qml-module-qtqml-models2-5.9.0-0neon+16.04+xenial+build8.amd64 Qt 5 Models2 QML module
 qml-module-qtquick-controls-5.9.0-1+16.04+xenial+build3.amd64  Qt 5 Quick Controls QML module
 qml-module-qtquick-controls-styles-breeze-4:5.10.2-0neon+16.04+xenial+build45.amd64    QtQuick style for Qt and KDE Software
 qml-module-qtquick-controls2-5.9.0-0neon+16.04+xenial+build4.amd64     Qt 5 Qt Quick Controls 2 QML module
 qml-module-qtquick-dialogs-5.9.0-1+16.04+xenial+build3.amd64   Qt 5 Dialogs QML module
 qml-module-qtquick-layouts-5.9.0-0neon+16.04+xenial+build8.amd64       Qt 5 Quick Layouts QML module
 qml-module-qtquick-privatewidgets-5.9.0-1+16.04+xenial+build3.amd64    Qt 5 Private Widgets QML module
 qml-module-qtquick-templates2-5.9.0-0neon+16.04+xenial+build4.amd64    Qt 5 Qt Quick Templates 2 QML module
 qml-module-qtquick-window2-5.9.0-0neon+16.04+xenial+build8.amd64       Qt 5 window 2 QML module
 qml-module-qtquick-xmllistmodel-5.9.0-0neon+16.04+xenial+build8.amd64  Qt 5 xmllistmodel QML module
 qml-module-qtquick2-5.9.0-0neon+16.04+xenial+build8.amd64      Qt 5 Qt Quick 2 QML module
 qml-module-qtwebkit-5.9.0+dfsg-1+16.04+xenial+build2.amd64     Qt WebKit QML module
 qt5-gtk-platformtheme-5.9.0-0neon+16.04+xenial+build5.amd64    Qt 5 GTK+ 3 platform theme
 qttools5-dev-tools-5.9.0-0neon+16.04+xenial+build6.amd64       Qt 5 development tools
 qtwayland5-5.9.0-1+16.04+xenial+build2.amd64   QtWayland platform plugin
Proceed with changes? [N/y] y


Then again, it doesn't have to be pretty just right. This particular line grabbed my attention
Code: Select all
me@machine:~$ CRITICAL **: Source ID 1967 was not found when attempting to remove it


At the moment I'm not even sure if the system updated properly. Is that the way it's supposed to look like?

At any rate, upon running the "pkcon refresh" and "pkcon update" again, I got this
Code: Select all
me@machine:~$ pkcon update
Getting updates               [=========================]         
Finished                      [=========================]         
No packages require updating to newer versions.
me@machine:~$


Which doesn't necessarily meant much to me, so I ran
Code: Select all
apt update

resulting in the following output
Code: Select all
Reading package lists... Done
Building dependency tree       
Reading state information... Done
All packages are up to date.

Next
Code: Select all
me@machine:~$ sudo apt full-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Starting pkgProblemResolver with broken count: 0                                                                                                                                                                                                                               
Starting 2 pkgProblemResolver with broken count: 0                                                                                                                                                                                                                             
Done                                                                                                                                                                                                                                                                           
Calculating upgrade... Done                                                                                                                                                                                                                                                   
The following packages were automatically installed and are no longer required:                                                                                                                                                                                               
  kde-style-qtcurve-qt4 libmircommon5 libpcre16-3 libqt5clucene5 libqtcurve-utils2                                                                                                                                                                                             
Use 'sudo apt autoremove' to remove them.                                                                                                                                                                                                                                     
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.                                                                                                                                                                                                                 
me@machine:~$


I haven't yet apt autoremove those packs but I usually do.


Opinions?

PS: Consult the other thread viewtopic.php?f=309&t=140794 dealing with the on-screen keyboard icon vanishing from the bottom-left of the login screen (was there before the update)


Proud to be powered by Plasma

 
Reply to topic

Bookmarks



Who is online

Registered users: Baidu [Spider], Bing [Bot], DarkFoss1, davis, Google [Bot], jeffgila, mx, skylerjett, Sogou [Bot], vpinon